#!/bin/sh
#------------------------------------------------------------------------------#
# Licensed Materials - Property of IBM                                         #
#                                                                              #
# SupportPac MQ01                                                              #
#                                                                              #
# (c) Copyright IBM Corporation 2006                                           #
# All rights reserved                                                          #
#                                                                              #
# US Government Users Restricted Rights - Use, duplication or                  #
# disclosure restricted by GSA ADP Schedule Contract with                      #
# IBM Corp.                                                                    #
#------------------------------------------------------------------------------#

usage()
{
  echo -e "Syntax: runclient ConnName  \n
  \n
       where ConnName is the host name and port for the queue \n
       manager's listener, e.g. server(1414)\n\n"
  exit 1
}

nodb()
{

  echo -e "Client key repository file client1.kdb not found. \n\n
Execute the appropriate setup file (setupv53.sh or setupv6.sh)\n
first and then copy the files to the current directory."

  exit 1
}

if [[ -z "$1" ]]; then usage; fi
if [[ ! -f client1.kdb ]]; then nodb; fi

# Locate the sslput sample program and execute it
SSLPUT=`which sslput`
$SSLPUT -m SALES -k ./client1 -c $1 -s TLS_RSA_WITH_AES_128_CBC_SHA
